@mixin inline-list-table($height: 50px, $hover-color: '', $hover-bg: '', $padding: '', $el:'a') {
  display: table;
  table-layout: fixed;
  height: $height;
  line-height: $height;
  list-style-type: none;
  > li {
    display: table-cell;
    line-height: $height;
    height: $height;

    #{$el} {
      line-height: $height;
      display: block;
      padding: 0 $padding;
      text-align: center;
      transition: all 0.3s ease;

      &:hover {
        color: $hover-color;
        background-color: $hover-bg;
      }
    }

    .fa {
      vertical-align: middle;
    }
  }
}

@mixin fa($font-size: 14px, $line-height: 1) {
  display: inline-block;
  font: normal normal normal #{$font-size}/#{$line-height} FontAwesome;
  //font-size: inherit;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  vertical-align: middle;
}

@mixin phone-size() {
  @include media-breakpoint-down(sm) {
    @content
  }
}


@mixin make-center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

@mixin aspect-ratio($width-ratio, $height-ratio, $position: relative) {
  position: $position;
  &:before {
    display: block;
    padding-bottom: ($height-ratio/$width-ratio)*100%;
    content: '';
  }
  > .cov {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
  }
}

@mixin cancel-sticky {
  .vue-sticky-placeholder {
    display: none;
  }
  .vue-sticky-el {
    width: 100% !important;
    position: static !important;
  }
}

//@mixin vue-transition($name) {
//  .popup-enter-active,
//  .popup-leave-active {
//    transition: all .4s cubic-bezier(0.25, 0.1, 0.17, 1.84);
//  }
//
//  .popup-leave-to,
//  .popup-enter {
//    opacity: 0;
//    transform: scale(.5, .5);
//  }
//}

//@mixin floated-list($foo, $bar) {
//  @content;
//
//  .start, .both, &:first-child {
//    background: red;
//    @content start;
//  }
//
//  .end, .both, &:last-child {
//    background: green;
//    @content end;
//  }
//}
//
//li {
//  @include floated-list(foo, bar) {
//    margin: 20px; // @content
//
//    @content start {
//    margin: 40px;
//  }
//  }
//}
